package de.ozgcloud.nachrichten.postfach.osiv2;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Spy;

class OsiPostfachRemoteServiceTest {

	@Spy
	@InjectMocks
	private OsiPostfachRemoteService osiPostfachRemoteService;

	@DisplayName("send message")
	@Nested
	class TestSendMessage {
		// TODO
	}

	@DisplayName("get all messages")
	@Nested
	class TestGetAllMessages {
		// TODO
	}

	@DisplayName("delete message")
	@Nested
	class TestDeleteMessage {
		// TODO
	}

	@DisplayName("get postfach type")
	@Nested
	class TestGetPostfachType {
		@DisplayName("should return")
		@Test
		void shouldReturn() {
			var result = osiPostfachRemoteService.getPostfachType();

			assertThat(result).isEqualTo(OsiPostfachRemoteService.POSTFACH_TYPE_OSIV2);
		}
	}

	@DisplayName("is reply allowed")
	@Nested
	class TestIsReplyAllowed {
		@DisplayName("should return")
		@Test
		void shouldReturn() {
			var result = osiPostfachRemoteService.isReplyAllowed();

			assertThat(result).isTrue();
		}
	}
}